#ifndef COUNTDOWN_H
#define COUNTDOWN_H

#include <QLCDNumber>
#include <QTimer>
#include <QLabel>

class Countdown : public QWidget
{
    Q_OBJECT
public:
    Countdown(QWidget *parent, int seconds);

protected:
    //void paintEvent(QPaintEvent *event);
    QTimer * timer;
    QLCDNumber* LCD;
    int seconds;
public slots:
    void setNumber();
    void stopClock();

signals:
     void stopped();
};

#endif // COUNTDOWN_H
